<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: lpt_interpolate.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_bf95828e8e3a9487a1728a98541aefc2.html">lpt</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">lpt_interpolate.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacelpt__interpolate__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html">lpt_interpolate_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:af087c80a6a86641251838154b59d56a6"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#af087c80a6a86641251838154b59d56a6">lpt_interpolate_m::lpt_interpolate</a> (sd, A, xd, yd, zd, id, jd, kd, Ap, dir, inwall)</td></tr>
<tr class="separator:af087c80a6a86641251838154b59d56a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b919c050932ee598e3666de8a6738fa"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a9b919c050932ee598e3666de8a6738fa">lpt_interpolate_m::lpt_extrapolate</a> (sd, A, xd, yd, zd, id, jd, kd, Ap, dir)</td></tr>
<tr class="separator:a9b919c050932ee598e3666de8a6738fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a460efb68f7273e5869fe56132f0fdb72"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a460efb68f7273e5869fe56132f0fdb72">lpt_interpolate_m::lpt_interp_pgas</a> (vdf, loc, i, j, k)</td></tr>
<tr class="separator:a460efb68f7273e5869fe56132f0fdb72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a133535dddb21d1ac5c465cdae5672a0e"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a133535dddb21d1ac5c465cdae5672a0e">lpt_interpolate_m::lpt_interp_tgas</a> (vdf, loc, i, j, k, sc_in)</td></tr>
<tr class="separator:a133535dddb21d1ac5c465cdae5672a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa4b8fd5c158f0d675852ff9dbcb503ba"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#aa4b8fd5c158f0d675852ff9dbcb503ba">lpt_interpolate_m::type_u</a> =1</td></tr>
<tr class="separator:aa4b8fd5c158f0d675852ff9dbcb503ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a319b8d93d768104869b5b1b0f9886263"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a319b8d93d768104869b5b1b0f9886263">lpt_interpolate_m::type_v</a> =2</td></tr>
<tr class="separator:a319b8d93d768104869b5b1b0f9886263"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0090f87683f8e9d204c739d6a93ee8d7"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a0090f87683f8e9d204c739d6a93ee8d7">lpt_interpolate_m::type_w</a> =3</td></tr>
<tr class="separator:a0090f87683f8e9d204c739d6a93ee8d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe8c7e789d78a5d84094f3c604b408f3"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#abe8c7e789d78a5d84094f3c604b408f3">lpt_interpolate_m::type_p</a> =4</td></tr>
<tr class="separator:abe8c7e789d78a5d84094f3c604b408f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac71aa448376a172792fb373cf93afa9d"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#ac71aa448376a172792fb373cf93afa9d">lpt_interpolate_m::type_sc</a> =5</td></tr>
<tr class="separator:ac71aa448376a172792fb373cf93afa9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a473af87e0d1b4dd9c233a7a087b8f566"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a473af87e0d1b4dd9c233a7a087b8f566">lpt_interpolate_m::type_wdist</a> =6</td></tr>
<tr class="separator:a473af87e0d1b4dd9c233a7a087b8f566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7eeb837faf0afdd3d746e342b2791abe"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a7eeb837faf0afdd3d746e342b2791abe">lpt_interpolate_m::type_sc_zmix</a> =1</td></tr>
<tr class="separator:a7eeb837faf0afdd3d746e342b2791abe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87df48c0b189d58d4f90945f9c121fa7"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a87df48c0b189d58d4f90945f9c121fa7">lpt_interpolate_m::type_sc_zvar</a> =2</td></tr>
<tr class="separator:a87df48c0b189d58d4f90945f9c121fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7da9a3497495df7a7fe2ba0a6174099c"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a7da9a3497495df7a7fe2ba0a6174099c">lpt_interpolate_m::type_sc_yf</a> =3</td></tr>
<tr class="separator:a7da9a3497495df7a7fe2ba0a6174099c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fbffc2619bb0dba29a01ad5790c588d"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a1fbffc2619bb0dba29a01ad5790c588d">lpt_interpolate_m::type_sc_t</a> =4</td></tr>
<tr class="separator:a1fbffc2619bb0dba29a01ad5790c588d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ef43d52a0df58425d7eeacafaf91556"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a4ef43d52a0df58425d7eeacafaf91556">lpt_interpolate_m::type_sc_enth</a> =5</td></tr>
<tr class="separator:a4ef43d52a0df58425d7eeacafaf91556"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a050342b8b96335ffb29d45f57eead6bc"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a050342b8b96335ffb29d45f57eead6bc">lpt_interpolate_m::type_sc_e</a> =6</td></tr>
<tr class="separator:a050342b8b96335ffb29d45f57eead6bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8f5d85a7862b28b297809d4b3a4f443"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#ac8f5d85a7862b28b297809d4b3a4f443">lpt_interpolate_m::type_sc_zmix2</a> =7</td></tr>
<tr class="separator:ac8f5d85a7862b28b297809d4b3a4f443"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a920635a61fb8f26c5565c4ca0a53451c"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a920635a61fb8f26c5565c4ca0a53451c">lpt_interpolate_m::type_sc_zmix_mc</a> =8</td></tr>
<tr class="separator:a920635a61fb8f26c5565c4ca0a53451c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cefc7b4ead967896fc41b0cc6802719"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a7cefc7b4ead967896fc41b0cc6802719">lpt_interpolate_m::type_sc_theta_mc</a> =9</td></tr>
<tr class="separator:a7cefc7b4ead967896fc41b0cc6802719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa3fe483a8749b38b027a0563e132ffc"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#aaa3fe483a8749b38b027a0563e132ffc">lpt_interpolate_m::type_sc_psi_mc</a> =10</td></tr>
<tr class="separator:aaa3fe483a8749b38b027a0563e132ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aa2bd220507372065d205190423378b"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a4aa2bd220507372065d205190423378b">lpt_interpolate_m::type_sc_co</a> =11</td></tr>
<tr class="separator:a4aa2bd220507372065d205190423378b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5a7823d18e6c62e2f9cbc3b32821f8e"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#af5a7823d18e6c62e2f9cbc3b32821f8e">lpt_interpolate_m::type_sc_co2</a> =12</td></tr>
<tr class="separator:af5a7823d18e6c62e2f9cbc3b32821f8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92ba3b8c9ce7654caa2e0e718e08f726"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a92ba3b8c9ce7654caa2e0e718e08f726">lpt_interpolate_m::type_sc_h2o</a> =13</td></tr>
<tr class="separator:a92ba3b8c9ce7654caa2e0e718e08f726"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888cde915753dd60bf54c180b8f93023"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a888cde915753dd60bf54c180b8f93023">lpt_interpolate_m::type_sc_ch4</a> =14</td></tr>
<tr class="separator:a888cde915753dd60bf54c180b8f93023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac220219d8b54d0220c4b8d56126097d4"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#ac220219d8b54d0220c4b8d56126097d4">lpt_interpolate_m::type_sc_c2h2</a> =15</td></tr>
<tr class="separator:ac220219d8b54d0220c4b8d56126097d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
